Skip to main content

Simulations (Sandbox only)

Unit's Sandbox environment provides additional operations beyond the standard APIs. These operations enable you to easily test and simulate activities that, in a production environment, would require confirmation or action from Unit or the bank.

Note

Simulation operations are subject to the same authentication scheme as the Live APIs, and therefore require a valid Authentication token.

Simulate Deposit Product Limits

This API allows you to simulate updating deposit product limits for testing purposes in sandbox. This is useful for testing scenarios that require specific ACH, card, check deposit, or wire limits without having to request limit changes from Unit's compliance team.

VerbPOST
URLhttps://api.s.unit.sh/sandbox/deposit-products/simulate
Data TypesimulateDepositProductRequest
Timeout (Seconds)5

Attributes

All attributes are optional. Only provide the limits you want to update.

dailyACHDebitLimit
integer
The daily ACH debit limit (in cents).
dailyACHCreditLimit
integer
The daily ACH credit limit (in cents).
monthlyACHDebitLimit
integer
The monthly ACH debit limit (in cents).
monthlyACHCreditLimit
integer
The monthly ACH credit limit (in cents).
dailyACHDebitSoftLimit
integer
The daily ACH debit soft limit (in cents).
monthlyACHDebitSoftLimit
integer
The monthly ACH debit soft limit (in cents).
dailyCardWithdrawalLimit
integer
The daily card withdrawal limit (in cents).
dailyCardDepositLimit
integer
The daily card deposit limit (in cents).
dailyCardPurchaseLimit
integer
The daily card purchase limit (in cents).
dailyCardTransactionLimit
integer
The daily card transaction limit (in cents).
dailyCheckDepositLimit
integer
The daily check deposit limit (in cents).
monthlyCheckDepositLimit
integer
The monthly check deposit limit (in cents).
dailyCheckDepositSoftLimit
integer
The daily check deposit soft limit (in cents).
monthlyCheckDepositSoftLimit
integer
The monthly check deposit soft limit (in cents).
dailyWireLimit
integer
The daily wire limit (in cents).
dailyWireSoftLimit
integer
The daily wire soft limit (in cents).
monthlyWireLimit
integer
The monthly wire limit (in cents).
monthlyWireSoftLimit
integer
The monthly wire soft limit (in cents).

Relationships

depositProduct
JSON:API Relationship
The deposit product to update limits for.
Example Request:
curl -X POST 'https://api.s.unit.sh/sandbox/deposit-products/simulate'
-H 'Content-Type: application/vnd.api+json'
-H 'Authorization: Bearer ${TOKEN}'
--data-raw '{
"data": {
"type": "simulateDepositProductRequest",
"attributes": {
"dailyACHDebitLimit": 100000,
"dailyACHCreditLimit": 100000,
"monthlyACHDebitLimit": 500000,
"monthlyACHCreditLimit": 500000
},
"relationships": {
"depositProduct": {
"data": {
"type": "depositProduct",
"id": "checking"
}
}
}
}
}'

Response

Returns the updated Deposit Product resource with the new limits applied.

Example Response:
{
"data": {
"type": "depositProduct",
"id": "checking",
"attributes": {
"name": "checking",
"dailyACHDebitLimit": 100000,
"dailyACHCreditLimit": 100000,
"monthlyACHDebitLimit": 500000,
"monthlyACHCreditLimit": 500000,
"dailyACHDebitSoftLimit": 50000,
"monthlyACHDebitSoftLimit": 250000,
"dailyCardWithdrawalLimit": 50000,
"dailyCardDepositLimit": 50000,
"dailyCardPurchaseLimit": 100000,
"dailyCardTransactionLimit": 150000,
"dailyCheckDepositLimit": 100000,
"monthlyCheckDepositLimit": 500000,
"dailyCheckDepositSoftLimit": 50000,
"monthlyCheckDepositSoftLimit": 250000,
"dailyWireLimit": 100000,
"dailyWireSoftLimit": 50000,
"monthlyWireLimit": 500000,
"monthlyWireSoftLimit": 250000
}
}
}